### Hierarchy

- unknown
  - ConfirmPaymentStartedRequest

## Index

### Constructors

- constructor

### Methods

- getTradeId
- serializeBinary
- setTradeId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new ConfirmPaymentStartedRequest(): ConfirmPaymentStartedRequest

- Inherited from jspb.Message.constructor

  #### Returns ConfirmPaymentStartedRequest

## Methods

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2322

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2325

  #### Returns Uint8Array

### setTradeId

- setTradeId(value: string): ConfirmPaymentStartedRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2323

  #### Parameters

  - ##### value: string

  #### Returns ConfirmPaymentStartedRequest

### toObject

- toObject(includeInstance?: boolean): ConfirmPaymentStartedRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2326

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns ConfirmPaymentStartedRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): ConfirmPaymentStartedRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2329

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ConfirmPaymentStartedRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ConfirmPaymentStartedRequest, reader: BinaryReader): ConfirmPaymentStartedRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2330

  #### Parameters

  - ##### message: ConfirmPaymentStartedRequest

  - ##### reader: BinaryReader

  #### Returns ConfirmPaymentStartedRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: ConfirmPaymentStartedRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2328

  #### Parameters

  - ##### message: ConfirmPaymentStartedRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: ConfirmPaymentStartedRequest ): ConfirmPaymentStartedRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2327

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ConfirmPaymentStartedRequest

  #### Returns ConfirmPaymentStartedRequest . AsObject

Generated using TypeDoc